Package com.independentsoft.office.drawing

# Class Backdrop

java.lang.Object
com.independentsoft.office.drawing.Backdrop

public class Backdrop extends Object
The Class Backdrop.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Backdrop()`
  Instantiates a new backdrop.
  `Backdrop​(InternalXMLStreamReader reader)`
  Instantiates a new backdrop.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Backdrop`
  `clone()`
  `AnchorPoint`
  `getAnchorPoint()`
  Gets the anchor point.
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `NormalVector`
  `getNormalVector()`
  Gets the normal vector.
  `UpVector`
  `getUpVector()`
  Gets the up vector.
  `void`
  `setAnchorPoint​(AnchorPoint anchorPoint)`
  Sets the anchor point.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `void`
  `setNormalVector​(NormalVector normalVector)`
  Sets the normal vector.
  `void`
  `setUpVector​(UpVector upVector)`
  Sets the up vector.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Backdrop

    public Backdrop()
    Instantiates a new backdrop.

  - ### Backdrop

    public Backdrop​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new backdrop.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public Backdrop clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getAnchorPoint

    public AnchorPoint getAnchorPoint()
    Gets the anchor point.
    Returns:
      the anchor point

  - ### setAnchorPoint

    public void setAnchorPoint​(AnchorPoint anchorPoint)
    Sets the anchor point.
    Parameters:
      `anchorPoint` - the new anchor point

  - ### getNormalVector

    public NormalVector getNormalVector()
    Gets the normal vector.
    Returns:
      the normal vector

  - ### setNormalVector

    public void setNormalVector​(NormalVector normalVector)
    Sets the normal vector.
    Parameters:
      `normalVector` - the new normal vector

  - ### getUpVector

    public UpVector getUpVector()
    Gets the up vector.
    Returns:
      the up vector

  - ### setUpVector

    public void setUpVector​(UpVector upVector)
    Sets the up vector.
    Parameters:
      `upVector` - the new up vector